Change `tmpnam` to `mkstemp` in `ctselect.cpp`
Description

libtool: compile:  clang++ -DHAVE_CONFIG_H -I. -I../..

 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/usr/local/gamma/include/gammalib -g -O2 -MT

 ctselect.lo -MD -MP -MF .deps/ctselect.Tpo -c ctselect.cpp  -fno-common -DPIC -o .libs/ctselect.o

ctselect.cpp:294:41: warning: 'tmpnam' is deprecated: This function is provided for compatibility reasons only. Due to security

 concerns

      inherent in the design of tmpnam(3), it is highly recommended that you use mkstemp(3) instead. [-Wdeprecated-declarations]

            std::string filename = std::tmpnam(NULL);

                                        ^

/usr/include/stdio.h:274:7: note: 'tmpnam' declared here

char    *tmpnam(char *);

         ^

ctselect.cpp:629:36: warning: 'tmpnam' is deprecated: This function is provided for compatibility reasons only. Due to security

 concerns

      inherent in the design of tmpnam(3), it is highly recommended that you use mkstemp(3) instead. [-Wdeprecated-declarations]

        std::string tmpname = std::tmpnam(NULL);

                                   ^

/usr/include/stdio.h:274:7: note: 'tmpnam' declared here

char    *tmpnam(char *);

         ^

2 warnings generated.

Associated revisions

Revision 7d91984f - 01/09/2014 04:16 PM - Knödlseder Jürgen

Use mkstemp() instead of tmpnam().

Fixes #1072.

Before, the following warning was generated:

warning: 'tmpnam' is deprecated: This function is provided for compatibility reasons only. Due to security concerns inherent in the design of

tmpnam(3), it is highly recommended that you use mkstemp(3) instead.

History

#1 - 01/09/2014 04:22 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

Done and pushed into devel.

#2 - 02/07/2014 08:13 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed
